Update TOC Node
Updates TOC node metadata.
Path Parameters
- project-idstringrequired
The ID of the project to update the specified TOC node in.
- node-idstringrequired
The ID of the TOC node to update.
Body
application/json
caption
string required
The TOC node caption.
isShowInToc
boolean default:
falseWhether to show the folder in the TOC in publications. Sets the corresponding option in the topic's properties. false by default.
Example
trueordinalNo
integer The position of the node in the TOC. Not sending the parameter will place the node at the end.
Example
2parentId
string | nullableThe unique identifier of the parent TOC node. Sending null or not sending the parameter will create node on the root level.
updatedFields
string required
A comma-separated list of fields that will be updated. If a field name is not in the list, it will not be updated even if the field value is specified in other request parameters.
Example
parentId, caption, ordinalNo, isShowInTocResponses
PATCH/projects/{project-id}/toc/nodes/{node-id}
curl --location -g --request PATCH 'https://{portal-url}/api/v1/projects/project-deep-space-exploration/toc/nodes/0e7adad0-2572-4966-8f02-bc46930cf848' \
--data-raw '{
"caption":"",
"isShowInToc":true,
"ordinalNo":2,
"parentId":null,
"updatedFields":"parentId, caption, ordinalNo, isShowInToc"
}'
{
"caption": "",
"id": "0e7adad0-2572-4966-8f02-bc46930cf848",
"isAutoDocsMountPoint": false,
"isShowInToc": true,
"ordinalNo": 2,
"parentId": null,
"topicId": "history-of-space-exploration",
"topicTitle": "History of Space Exploration"
}